<script setup lang="ts">
import { useCheckStockStore } from '@/stores/checkstock'
import { useLoadingStore } from '@/stores/loading';
import type { CheckStock } from '@/types/CheckStock';
import { onMounted, ref } from 'vue'
import { useStockStore } from '@/stores/stock'
import ReportCheckStock from './ReportCheckStock.vue';

const stockStore = useStockStore()
const checkStockStore = useCheckStockStore()
const dialogP = ref(false)
const loadingStore = useLoadingStore()
// const c = checkStockStore.checkStock
function openReport(){
  stockStore.dialogReportCheckStock = !stockStore.dialogReportCheckStock
  setTimeout(() => {
  // Your code to be executed after delay
  checkStockStore.dialogHistory = false
 
}, 100);
}
function openDialog(cs:CheckStock) {

  checkStockStore.getCheckStock(cs.id!)
  

 loadingStore.finish()
  // console.log('Log c', c)
  // checkStockStore.logGG()
  // console.log('In History', checkStockStore.checkStock.stock)
  // checkStockStore.dialogP = !checkStockStore.dialogP
}
onMounted(() => {
  checkStockStore.getCheckStocks()
})
</script>
<template>
  <v-dialog
    v-model="checkStockStore.dialogHistory"
    fullscreen
    :scrim="false"
    transition="dialog-bottom-transition"
  >
    <v-card>
      <v-toolbar dark color= #403c3c>
        <v-btn icon dark @click="checkStockStore.dialogHistory = false">
          <v-icon>mdi-close</v-icon>
        </v-btn>
        <v-toolbar-title>Check Stock</v-toolbar-title>
        <v-spacer></v-spacer>
      </v-toolbar>

      <v-container>
        <v-row>
          <v-sheet width="1250" height="500" class="overflow-auto">
            <v-table>
              <thead>
                <tr>
                  <th>ID</th>
                  <th>User</th>
                  <th>Create Date</th>
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(item, index) of checkStockStore.checkStocks" :key="item.id">
                  <td>{{ index + 1 }}</td>
                  <td>{{ item.user?.fullName }}</td>
                  <td>{{ item.date }}</td>

                  <td>
                    <v-icon size="small" class="me-2" @click="openDialog(item)"> mdi-eye </v-icon>
                  </td>
                </tr>
              </tbody>
            </v-table>
        
          </v-sheet>
          <v-btn color="primary" prepend-icon="mdi-chart-bar" @click="openReport()">Report</v-btn>
        </v-row>
      </v-container>
    </v-card>
  </v-dialog>

  <!-- Dialog โชว์ทั้งหมด -->
  <v-dialog
    v-model="checkStockStore.dialogP"
    fullscreen
    :scrim="false"
    transition="dialog-bottom-transition"
  >
    <v-card>
      <!-- <div>{{ loadingStore.doLoad() }}</div>
      <div>{{ loadingStore.success() }}</div> -->
      <v-toolbar dark color="primary">
        <v-btn icon dark @click="checkStockStore.dialogP = !checkStockStore.dialogP">
          <v-icon>mdi-close</v-icon>
        </v-btn>
        <v-toolbar-title>Print Stock</v-toolbar-title>
        <v-spacer></v-spacer>
      </v-toolbar>

      <v-container>
        <v-row>
          <v-sheet width="1300" height="110">
            <div>ผู้ตรวจนับ:{{ checkStockStore.editedCheckstock.user?.fullName}}</div>
            <div>
              วันที่:{{ checkStockStore.editedCheckstock.date}} 
            </div>
          </v-sheet>
        </v-row>
        <v-row no-gutters>
          <v-sheet width="1250" height="800">
            <div style="font-size: 20pt; text-align: center">Check Stock History</div>
            <!-- <v-data-table 
            :headers="headers"
            :items="stockStore.stockItems"
            
            >
            <template v-slot:[`item.amount`]>
                 <v-text-field>
            
               
                 </v-text-field>
    </template>
    
            </v-data-table> -->
            <v-table>
              <thead>
                <tr>
                  <th>ProductID</th>
                  <th>ProuductName</th>
                  <th>Minimum</th>
                  <th>Balance</th>
                  <th>Unit</th>
                  <th>Amount</th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(item, index) of checkStockStore.editedCheckstock.checkStockItems" :key="item.id">
                  <td>{{ index + 1 }}</td>
                  <td>{{ item.name}}</td>
                  <td>{{ item.minimum }}</td>
                  <td>{{ item.balance }}</td>
                  <td>{{ item.unit }}</td>
                  <td>{{ item.amount }}</td>
                  <!-- <td>{{checkStockStore.checkStocks[index].amount}}</td> -->
            
                </tr>
              </tbody>
            </v-table>
          
          </v-sheet>
        </v-row>
      </v-container>
    </v-card>
  </v-dialog>
  <report-check-stock></report-check-stock>
</template>

<style>
.dialog-bottom-transition-enter-active,
.dialog-bottom-transition-leave-active {
  transition: transform 0.2s ease-in-out;
}
</style>
